Loading...
Searching...
No Matches
OgreCgFxScriptLoader.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreStringVector.h"`
`#include "OgreScriptLoader.h"`
`#include "OgreCgPrerequisites.h"`
`#include "OgreTexture.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreGpuProgram.h"`

## Classes

class | Ogre::CgFxScriptLoader
| Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...

## Namespaces

namespace | Ogre

## Macros

#define | GST_FIRST (GlobalStateType) (GST_UNKNOWN + (GlobalStateType)1)
#define | SST_FIRST (SamplerStateType) (SST_UNKNOWN + (SamplerStateType)1)

## Macro Definition Documentation

## GST_FIRST

#define GST_FIRST (GlobalStateType) (GST_UNKNOWN + (GlobalStateType)1)

## SST_FIRST

#define SST_FIRST (SamplerStateType) (SST_UNKNOWN + (SamplerStateType)1)